#{extends 'border.html'/}
<div class="container-fluid">

	<div class="row">
		<div class="col-md-12">
			<!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{purchasing.PaketCtr.index()}">&{'daftar_paket.label'}</a></li>
                <li><a href="${paket?.getDetailUrl()}">&{'detail_paket.label'}</a></li>
                <li class="active">&{'negosiasi.label'}</li>
            </ol>
			<!-- End Breadcrumb -->
        #{alert /}
		</div>
	</div>

#{form @purchasing.PaketCtr.negosiasiSubmit(), method:'POST', name:'frmNegosiasi', id:'frmNegosiasi'}
    <div class="row">
        <div class="col-md-12">
            <!-- Toolbar -->
            <div class="toolbar">
                <a href="${paket?.getDetailUrl()}" class="btn btn-sm btn-default"><i class="fa fa-arrow-circle-left"></i> &{'kembali.label'}</a>&nbsp;
                #{if aktifUser != null && !readonly}
                    <button style="display: none" type="submit" class="btn btn-sm btn-primary" value="Draft">&{'simpan.label'} &{'draft.label'} &{'negosiasi.label'}</button>&nbsp;
                    <button type="submit" id="kirimNego" class="btn btn-sm btn-primary" value="setuju">&{'kirim.label'} &{'negosiasi.label'}</button>
                    <input type="text" id="aksi" value="setuju" name="aksi" hidden>
                #{/if}
            </div>
            <!-- End Toolbar -->
        </div>
    </div>
    #{if paket != null}
        <div class="row">
            <div class="detail-wrapper">
                <div class="row">
                    <div class="detail-header">
                        <div class="col-md-12">
                            <h5>&{'negosiasi_paket.label'} ${paket.no_paket}</h5>
                        </div>
                    </div>
                    <div class="detail-body">
                        <div class="col-md-7">
                            <div class="panel panel-default">
                                <div class="panel-body">
                                    <div class="detail-list">
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-3">&{'komoditas.label'}</div>
                                                <div class="detail-description col-md-9">${paket.commodity.nama_komoditas}</div>
                                            </div>
                                        </div>
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-3">&{'nomor_paket.label'}</div>
                                                <div class="detail-description col-md-9">${paket.no_paket}</div>
                                                <input type="hidden" name="paket_id" value="${paket.id}">
                                            </div>
                                        </div>
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-3">&{'nama_paket.label'}</div>
                                                <div class="detail-description col-md-9">${paket.nama_paket}</div>
                                            </div>
                                        </div>
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-3">&{'pemesan.label'} &{'setuju.label'}</div>
                                                <div class="detail-description col-md-9">
                                                    #{if paket.negoHeader.panitia_setuju}
                                                        <label class="label label-success">&{'setuju.label'} (${paket?.negoHeader?.panitia_setuju_tanggal})</label>
                                                    #{/if}
                                                    #{else }
                                                        <label class="label label-danger">&{'belum_setuju.label'}</label>
                                                    #{/else}
                                                </div>
                                            </div>
                                        </div>
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-3">&{'penyedia.label'} &{'setuju.label'}</div>
                                                <div class="detail-description col-md-9">
                                                    #{if paket.negoHeader.penyedia_setuju}
                                                        <label class="label label-success">&{'setuju.label'} (${paket?.negoHeader?.penyedia_setuju_tanggal})</label>
                                                    #{/if}
                                                    #{else }
                                                        <label class="label label-danger">&{'belum_setuju.label'}</label>
                                                    #{/else}
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="col-md-5">
                            <div class="panel panel-default">
                                <div class="panel-body">
                                    <div class="detail-list">
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-8">&{'jumlah_produk_dipesan.label'}</div>
                                                <div class="detail-description col-md-4">${paket.agr_paket_produk}</div>
                                            </div>
                                        </div>
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-8">&{'total_harga_produk.label'}</div>
                                                <div class="detail-description col-md-4"><label id="lbl_total_harga" class="currency">${paket.agr_konversi_harga_total.format("###")}</label></div>
                                            </div>
                                        </div>
                                        <div class="detail-item">
                                            <div class="row">
                                                <div class="detail-heading col-md-8">&{'kurs.label'}</div>
                                                <div class="detail-description col-md-4">${paket?.kurs?.nama_kurs}</div>
                                            </div>
                                        </div>
                                        #{if paket?.kurs?.id != models.masterdata.Kurs.kurs_utama}
                                            <div class="detail-item">
                                                <div class="row">
                                                    <div class="detail-heading col-md-8">&{'nilai_kurs.label'}</div>
                                                    <div class="detail-description col-md-4">${paket?.kurs_nilai}</div>
                                                    <input type="hidden" value="${paket?.kurs_nilai}" id="kurs_nilai">
                                                </div>
                                            </div>
                                            <div class="detail-item">
                                                <div class="row">
                                                    <div class="detail-heading col-md-8">&{'tanggal_kurs.label'}</div>
                                                    <div class="detail-description col-md-4">${paket?.formatedTanggalKurs()}</div>
                                                </div>
                                            </div>
                                        #{/if}
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="detail-footer">
                        <div class="col-md-12">
                            <div class="panel panel-default">
                                <div class="panel-body" style="overflow-x: auto">
                                    #{set rowspan: (paket?.kurs != null && paket?.kurs?.id != models.masterdata.Kurs.kurs_utama) ? 'rowspan=\'2\'' : '' /}
                                    <table class="table table-condensed table-striped table-bordered">
                                        <thead>
                                        <tr>
                                            <th rowspan="2">&{'nama_produk.label'}</th>
                                            <th rowspan="2">&{'kuantitas.label'}</th>
                                            <th rowspan="2">&{'mata_uang.label'}</th>
                                            <th colspan="3">&{'harga_kesepakatan.label'}</th>
                                            #{if aktifUser.isPpk() || aktifUser.isPp()}
                                            <th rowspan="2">&{'harga_terbaik.label'}</th>
                                            #{/if}
                                            <th rowspan="2">&{'catatan_tambahan.label'}</th>
                                            <th rowspan="2">&{'total_harga.label'}</th>

                                        </tr>
                                        <tr>
                                            <th>&{'harga_satuan.label'}</th>
                                            <th>&{'referensi_ongkos_kirim.label'}</th>
                                            <th>&{'tanggal_pengiriman.label'}</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                            #{list items:paket?.products, as:'item'}
                                            <tr class="produkNego">
                                                <td #{get 'rowspan'/}>
                                                    <p>${item.no_produk}</p>
                                                    <h6>${item.nama_produk}</h6>
                                                </td>
                                                <td class="column-right" #{get 'rowspan'/}>${item.kuantitas.format("###.##")}
                                                    <input type="hidden" id="kuantitas_${item.id}" value="${item.kuantitas}">
                                                    <input type="hidden" name="produkIds" value="${item.produk_id}">
                                                    <input type="hidden" name="paketProdukIds" value="${item?.id}">
                                                </td>
                                                <td>${paket?.kurs?.nama_kurs}</td>
                                                <td style="width: 150px">
                                                    <input type="text" name="hargaSatuan" ${readonly? 'readonly' : ''} id="harga_satuan_${item.id}" data-id="${item.id}"
                                                           class="form-control currency harga-satuan" value="${item.harga_satuan.format("###.##")}">
                                                </td>
                                                <td><input type="text" name="hargaOngkir" ${readonly? 'readonly' : ''} id="harga_ongkir_${item.id}" data-id="${item.id}"
                                                           class="form-control currency harga-ongkir" value="${item.harga_ongkir.format("###.##")}">
                                                </td>
                                                <td #{get 'rowspan'/}>
                                                    <input required  name="batasPengiriman" ${readonly? 'readonly' : ''} class="batasPengiriman form-control document-date" value="${item.batas_pengiriman==null?item.batas_pengiriman:ext.FormatUtils.format(item.batas_pengiriman,"dd-MM-yyyy")}" id="batas_pengiriman${item.id}" data-id="${item.id}" >
                                                </td>
                                                #{if aktifUser.isPpk() || aktifUser.isPp()}
                                                <td ><span class="currency">${item.best_price?.format("###.##")}</span></td>
                                                #{/if}
                                                <td #{get 'rowspan'/} width="200"> <input type="text" name="catatan" id="catatan${item.id}" ${readonly? 'readonly' : ''} class="form-control catatan" value="${item.catatan}"></td>
                                                <td style="width: 150px">
                                                    <input type="text" id="harga_total_${item.id}" name="totalHarga" readonly
                                                           class="form-control currency harga-total" value="${item.harga_total.format("###.##")}">
                                                </td>
                                            </tr>
                                                #{if paket.kurs?.id != models.masterdata.Kurs.kurs_utama}
                                                <tr>
                                                    <td>IDR</td>
                                                    <td>
                                                        <input type="text" id="harga_satuan_konversi_${item.id}" data-id="${item.id}" readonly
                                                               class="form-control currency" value="${item.konversi_harga_satuan.format("###.##")}">
                                                    </td>
                                                    <td>
                                                        <input type="text" id="harga_ongkir_konversi_${item.id}" data-id="${item.id}" readonly
                                                               class="form-control currency" value="${item.konversi_harga_ongkir.format("###.##")}">
                                                    </td>
                                                    <td><span class="currency">${item.best_price?.format("###.##")}</span></td>
                                                    <td>
                                                        <input type="text" id="harga_total_konversi_${item.id}" readonly
                                                               class="form-control currency" value="${item.konversi_harga_total.format("###.##")}">
                                                    </td>
                                                </tr>
                                                #{/if}
                                            #{/list}
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    #{/if}
    #{else}
        <div class="row">
            <div class="produk-list-wrapper">
                <div class="item-empty">
                    <h3>Maaf, Negosiasi produk yang anda cari tidak ditemukan.</h3>
                    <p>Cek kembali paket yang anda pilih atau mungkin anda tidak memiliki hak akses untuk negosiasi tersebut.</p>
                </div>
            </div>
        </div>
    #{/else}
#{/form}
</div>
#{validationPackage/}
#{set 'moreScripts'}
<script src="@{'/public/javascripts/toast/jquery.toast.min.js'}" type="text/javascript"> </script>
<script type="text/javascript">
    $(document).on('keypress',function(e) {
        if(e.which == 13) {
            console.log("klik tombol kirim negosiasi untuk mengirimkan hasil nego")
        }
    });

    var frmNegosiasi = $("form[name=frmNegosiasi]");

    $(document).ready(function () {
        $(".currency").convertThousand();
        var hg = $("#hargaSatuan");


        $("body").on("click", "#kirimNego", function (e) {
            e.preventDefault();

            var $fields = [ $('tr.produkNego input.batasPengiriman')];
            var $emptyFields;

            for(var i=0;i< $fields.length;i++){
                $emptyFields = $fields[i].filter(function(i,element) {
                    return $.trim($(this).val()) === '';
                });
            }
            if (!$emptyFields.length) {
                var msg = "&{'persetujuan_kirim_nego.label'}";
                var conf = confirm(msg);

                if (conf == true) {
                    $("#frmNegosiasi").submit();
                }
            } else {
                jQuery.toast({
                    heading: "&{'peringatan.label'}",
                    text: "&{'peringatan_tanggal_batas_kirim.label'}",
                    position: 'bottom-center',
                    stack: false,
                    icon: 'error',
                    hideAfter: 6000
                })
            }
            //$("#editModal").modal();
        });
    })

    function calculatePrice(id){
        var kursNilai = myParseFloat($("#kurs_nilai").val());
        var hargaSatuan = myParseFloat($("#harga_satuan_" + id).val());
        var hargaOngkir = myParseFloat($("#harga_ongkir_" + id).val());
        var kuantitas = myParseFloat($("#kuantitas_" + id).val());
        var total = (hargaSatuan * kuantitas) + hargaOngkir;

        $("#harga_total_" + id).val(total);

        if(kursNilai > 1){
            $("#harga_satuan_konversi_" + id).val(hargaSatuan * kursNilai);
            $("#harga_ongkir_konversi_" + id).val(hargaOngkir * kursNilai);
            $("#harga_total_konversi_" + id).val(total * kursNilai);
        }

        // var ids=frmNegosiasi.find("input[name=produkIds]");
        var ids=frmNegosiasi.find("input[name=paketProdukIds]");
        var grandTotal = 0;
        ids.each(function () {
            var produkId = $(this).val();
            var total = myParseFloat($("#harga_total_" + produkId).val());
            grandTotal += total;
        });
        $("#lbl_total_harga").html(grandTotal);

        $(".currency").convertThousand();
    }

    $(".harga-satuan").on('change', function () {
        calculatePrice($(this).data("id"));
    });

    $(".harga-ongkir").on('change', function () {
        calculatePrice($(this).data("id"));
    });

    //prevent minus
    $(".harga-satuan").on('keyup', function () {
        var id = $(this).data("id");//get this id
        var hargaSatuan = myParseFloat($("#harga_satuan_" + id).val());

        if(isNaN(hargaSatuan) || hargaSatuan < 0){
            $("#harga_satuan_" + id).val('0');
        }
        //if '-' on right
        if($("#harga_satuan_" + id).val().indexOf('-') >= 0){
            $("#harga_satuan_" + id).val('0');
        }
    });
    //prevent minus
    $(".harga-ongkir").on('keyup', function () {
        var id = $(this).data("id");//get this id
        var hargaOngkir = myParseFloat($("#harga_ongkir_" + id).val());

        if(isNaN(hargaOngkir) || hargaOngkir < 0){
            $("#harga_ongkir_" + id).val('0');
        }
        //if '-' on right
        if($("#harga_ongkir_" + id).val().indexOf('-') >= 0){
            $("#harga_ongkir_" + id).val('0');
        }
    });



</script>
#{/set}